# Yahoo! UI Library

### DataTable Widget 2.2.2

Yahoo! UI Library > datatable > Record

## Class Record

The Record class defines a DataTable record.

### Constructor

Record `( oConfigs )`

Parameters:
  `oConfigs <Object>` (optional) Object literal of key/value pairs.

### Properties

#### _nCount `- private static number`

Internal class variable to index multiple data table instances.

#### yuiRecordId `- string`

Unique name assigned at instantation, indicates original order.

Copyright © 2007 Yahoo! Inc. All rights reserved.